%define _plugindir %(gimptool --gimpplugindir)/plug-ins
%define _mathmapdir %(gimptool --gimpdatadir)/mathmap
%define _langdir %{_datadir}/gtksourceview-2.0/language-specs

Name:           mathmap
Version:        1.3.5
Release:        1%{?dist}
Summary:        GIMP Plug-In and Command-Line Tool

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.complang.tuwien.ac.at/schani/mathmap/
Source:         http://www.complang.tuwien.ac.at/schani/mathmap/files/%{name}-%{version}.tar.gz
# The upstream mathmap uses a patched, statically linked version of
# libnoise.  Use the system version of libnoise.
Patch0:         mathmap-system-libnoise.patch
Patch1:         mathmap-vanilla-libnoise.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  giflib-devel
BuildRequires:  gsl-devel
BuildRequires:  gimp
BuildRequires:  gimp-devel
BuildRequires:  gimp-devel-tools
BuildRequires:  gtksourceview2-devel
BuildRequires:  doxygen
BuildRequires:  fftw3-devel
BuildRequires:  gettext
BuildRequires:  libnoise-devel

Requires:       gimp


%description
MathMap is a GIMP plug-in which allows distortion of images specified
by mathematical formulae.  For each pixel in the generated image, an
expression is evaluated which should return a pixel value.  The
expression can either refer to a pixel in the source image or can
generate pixels completely independent of the source.


%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ANNOUNCEMENT COPYING README README.filters README.git
%{_bindir}/mathmap
%{_plugindir}/mathmap
%{_langdir}/mathmap.lang
%{_mathmapdir}
%{_datadir}/locale/*/LC_MESSAGES/mathmap.mo


%changelog
* Fri Jun  7 2010 Robin Norwood <robin.norwood@gmail.com> - 1.3.5-1
- Update for new release.
- Use system libnoise instead of statically linked version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 21 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-4
- Add a Requires: gimp

* Mon May 12 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-3
- More fixes from package review:
- Honor optflags
- Set localedir properly

* Thu Feb  7 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-2
- Update with fixes from package review

* Thu Jan 31 2008 Robin Norwood <rnorwood@redhat.com> - 1.2.4-1
- Initial build based upon spec by Mark Probst <schani@complang.tuwien.ac.at>
